This package has been deprecated

    Author message:

    enquirer-prompt was renamed to prompt-base, use that library instead

    enquirer-prompt

    0.2.2 • Public • Published

    enquirer-prompt NPM version NPM downloads

    Base prompt module used for creating custom prompt types for Enquirer.

    Install

    Install with npm:

    $ npm install --save enquirer-prompt

    Usage

    The main export is a function that is inherited to a custom prompt type:

    var BasePrompt = require('enquirer-prompt');
     
    function CustomPrompt(/*question, answers, rl*/) {
      BasePrompt.apply(this, arguments);
    }
     
    util.inherits(CustomPrompt, BasePrompt);

    About

    Related projects

    Contributing

    Pull requests and stars are always welcome. For bugs and feature requests, please create an issue.

    Please read the contributing guide for avice on opening issues, pull requests, and coding standards.

    Building docs

    (This document was generated by verb-generate-readme (a verb generator), please don't edit the readme directly. Any changes to the readme must be made in .verb.md.)

    To generate the readme and API documentation with verb:

    $ npm install -g verb verb-generate-readme && verb

    Running tests

    Install dev dependencies:

    $ npm install -d && npm test

    Author

    Jon Schlinkert

    License

    Copyright © 2016, Jon Schlinkert. Released under the MIT license.


    This file was generated by verb-generate-readme, v0.1.30, on August 29, 2016.

    Install

    npm i enquirer-prompt

    DownloadsWeekly Downloads

    6

    Version

    0.2.2

    License

    MIT

    Last publish

    Collaborators

    • jonschlinkert